Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.transformer
Class XStreamFactory

    java.lang.Object
      org.mule.module.xml.transformer.XStreamFactory

    public class XStreamFactory

extends Object

Initializes the XStream utility for converting Objects to XML and XML to Objects.

Field Summary
`static String` | `XSTREAM_DOM_DRIVER`
`static String` | `XSTREAM_DOM4J_DRIVER`
`static String` | `XSTREAM_JDOM_DRIVER`
`static String` | `XSTREAM_STAX_DRIVER`
`static String` | `XSTREAM_XPP_DRIVER`

Constructor Summary
`XStreamFactory()`
`XStreamFactory(String driverClassName, Map<String,Class> aliases, Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)`

Method Summary
`com.thoughtworks.xstream.XStream` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XSTREAM_DOM_DRIVER

    public static final String XSTREAM_DOM_DRIVER

See Also:
  Constant Field Values

### XSTREAM_DOM4J_DRIVER

    public static final String XSTREAM_DOM4J_DRIVER

See Also:
  Constant Field Values

### XSTREAM_JDOM_DRIVER

    public static final String XSTREAM_JDOM_DRIVER

See Also:
  Constant Field Values

### XSTREAM_STAX_DRIVER

    public static final String XSTREAM_STAX_DRIVER

See Also:
  Constant Field Values

### XSTREAM_XPP_DRIVER

    public static final String XSTREAM_XPP_DRIVER

See Also:
  Constant Field Values

Constructor Detail

### XStreamFactory

    public XStreamFactory()
                   throws ClassNotFoundException,
                          InstantiationException,
                          IllegalAccessException

Throws:
  `ClassNotFoundException`
  `InstantiationException`
  `IllegalAccessException`

### XStreamFactory

    public XStreamFactory(String driverClassName,
                          Map<String,Class> aliases,
                          Set<Class<? extends com.thoughtworks.xstream.converters.Converter>> converters)
                   throws ClassNotFoundException,
                          InstantiationException,
                          IllegalAccessException

Throws:
  `ClassNotFoundException`
  `InstantiationException`
  `IllegalAccessException`

Method Detail

### getInstance

    public final com.thoughtworks.xstream.XStream getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.